"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("@storybook/react");
const _1 = require("./");
const react_2 = require("@storybook/addon-knobs/react");
const RadioDemo = () => {
    const [checked, setCheck] = React.useState(false);
    return (React.createElement("div", { style: { padding: '20px 40px' } },
        React.createElement("p", null,
            "Status: ",
            checked ? 'checked' : 'unchecked'),
        React.createElement(_1.Radio, { label: "Status", checked: checked, onCheck: () => setCheck(!checked) })));
};
react_1.storiesOf('Components/Radio', module).addWithJSX('A basic component can be used as Radio box', () => {
    return (React.createElement("div", { style: { padding: '20px 40px' } },
        React.createElement(_1.Radio, { checked: react_2.boolean('checked', false), label: react_2.text('label', 'Radio'), onCheck: () => true, small: react_2.boolean('small', false) })));
});
react_1.storiesOf('Components/Radio/Demo', module).addWithJSX('of Radio box', () => React.createElement(RadioDemo, null));
