import * as React from 'react';
export interface TextfieldProps {
    autocomplete?: string[];
    autocompleteFrom?: number;
    center?: boolean;
    className?: string;
    classNameInput?: string;
    iconEnd?: React.ReactNode;
    iconStart?: React.ReactNode;
    id?: string;
    inputProps?: React.HTMLProps<HTMLInputElement>;
    label?: string;
    material?: boolean;
    onEnter?: () => void;
    onInput: (text: string) => void;
    placeholder?: string;
    type?: string;
    value: string;
    style?: React.CSSProperties;
}
export declare const Textfield: React.FunctionComponent<TextfieldProps>;
