"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("@storybook/react");
const _1 = require("./");
const react_2 = require("@storybook/addon-knobs/react");
react_1.storiesOf('Components/Box', module).addWithJSX('A basic component can be used as div', () => {
    const colors = {
        first: 'first',
        second: 'second',
        third: 'third',
        fourth: 'fourth',
        error: 'error',
        success: 'success',
        grey: 'grey',
        transparent: 'transparent'
    };
    const type = {
        artikel: 'artikel',
        footer: 'footer',
        header: 'header',
        nav: 'nav',
        div: 'div',
        section: 'section'
    };
    return (React.createElement("div", { style: { padding: '20px 40px' } },
        React.createElement(_1.Box, { bg: [react_2.select('background', colors, 'first'), 'lg:second'], border: react_2.text('border', '2, black'), rounded: react_2.text('border-radius', ''), className: react_2.text('className', ''), h: react_2.text('height', ''), m: react_2.text('margin', ''), p: react_2.text('padding', '2'), type: react_2.select('type', type, 'div'), w: react_2.text('width', '12') }, react_2.text('chidren', 'i am a box'))));
});
