import * as React from 'react';
import { TailWindCSS } from './../../types/TailWindProps';
export interface ButtonProps extends TailWindCSS {
    /** pass any normal button props here */
    bg?: string | string[];
    btnProps?: React.HTMLProps<HTMLButtonElement>;
    children?: any;
    className?: string;
    closeThickness?: string;
    color?: string;
    disabled?: boolean;
    inline?: boolean;
    loading?: boolean;
    outLine?: boolean;
    onClick?: () => void;
    style?: React.CSSProperties;
    type?: string;
}
export declare const Button: React.FunctionComponent<ButtonProps>;
