"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const classnames_1 = require("classnames");
const getClassNames_1 = require("../../utils/getClassNames");
exports.Headline = React.memo(props => {
    const { center, children, color, className, headingProps, level, uppercase, style, size } = props, styleProps = __rest(props, ["center", "children", "color", "className", "headingProps", "level", "uppercase", "style", "size"]);
    const Tag = `h${level}`;
    return (React.createElement(Tag, Object.assign({ className: classnames_1.default('Headline', color && `text-${color}`, center && 'text-center', uppercase && 'uppercase', size && getClassNames_1.getClassNames(size, 'text-'), getClassNames_1.getClassNames(styleProps), className && className), style: style }, headingProps), children));
});
exports.Headline.defaultProps = {
    level: '3'
};
